import c from 'ansi-colors';
import { HighlightSubject } from './enums';
export declare class MongoHighlighter {
    private readonly theme;
    static readonly DEFAULT_THEME: {
        quote: c.StyleFunction;
        backtickQuote: c.StyleFunction;
        boundary: c.StyleFunction;
        number: c.StyleFunction;
        word: undefined;
        variable: c.StyleFunction;
        literal: c.StyleFunction;
    };
    private readonly tokenizer;
    constructor(theme?: {
        [K in keyof typeof HighlightSubject]?: string;
    });
    /**
     * Add syntax highlighting to Mongo query
     */
    highlight(query: string): string;
    private highlightToken;
    private colorize;
}
