export interface Token {
    type: number;
    readonly value: string;
}
export declare class Tokenizer {
    private readonly literal;
    /** Punctuation that can be used as a boundary between other tokens */
    private readonly boundaries;
    private readonly regexBoundaries;
    private readonly regexLiteral;
    /**
     * Takes Mongo query and breaks it into tokens.
     */
    tokenize(string: string): Token[];
    /**
     * Return the next token and token type in Mongo query.
     * Quoted strings, comments, reserved words, whitespace, and punctuation are all their own tokens.
     */
    private createNextToken;
    /**
     * Helper function for building regular expressions for reserved words and boundary characters
     */
    private quoteRegex;
    private getQuotedString;
}
